Redmine - Defect #25748

Spent time details CSV export: issues’ id, tracker & subject columns merged into one issue column
2017-05-03 13:25 - Jenda Benda

Status: Confirmed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Time tracking Estimated time: 0.00 hour
Target version:

Resolution: Affected version: 2.3.0
Description

Dear Redmine team!
We really appreciate all your work here. thanks for that.

I would like to ask you for an explanation and possibility of modification of Issue column in "Spent time - overall spent time - details
view".

Could you please explain me, why (started/changed in some previous versions of redmine) “issue” column has been changed and
consists of joint information of "tracker", "task ID", and "task subject"?

The think that relates to this is that "spent time" filter doesn’t offer those columns/attributes to be used as a filter within spent time
detail view.

This makes impossible to filter and sort by those "attributes" of the spent time entries, which is something that was previously and
would be very useful.

This makes impossible to export information into CSV with separated information/columns mentioned above.

This doesn’t follow database normalization rules | guess (I suppose this information is stored separately within DB)...so | don't
understand the reason for this.

Could you please make this filtering possible and add possibility of adding those colums separately in the report and CSV export?
thanks a lot

Kind regards
JB

History

#1 - 2017-05-30 17:39 - Toshi MARUYAMA

- Subject changed from Spent time - Issue Column badly joins more infromation to Spent time - Issue Column badly joins more information

#2 - 2017-05-30 17:57 - Toshi MARUYAMA
- File time-report-dropdown.png added
- Status changed from New to Needs feedback
- Priority changed from High to Normal
Jenda Benda wrote:
Could you please explain me, why (started/changed in some previous versions of redmine) “issue” column has been changed and consists of

joint information of "tracker", "task ID", and "task subject"?

Do you mean this drop down?
time-report-dropdown.png

#3 - 2017-05-30 19:54 - Jenda Benda
- File Screen Shot 2017-05-30 at 19.43.48.png added
Hi,

no this is not the place...| mean "details" view.. Please see my screenshot, that shows it. | also highlited all the values that are joint together with
different colors.

We had to create custom field, where we copy/duplicate tracker information to be able to sort it in the view by tracker-custom field...
thx

jb

#4 - 2017-05-30 20:46 - Toshi MARUYAMA

- File Redmine-1.4.png added

This is vanilla Redmine 1.4 screen shot.
Did you use vanilla Redmine?

#5 - 2017-05-30 22:49 - Jenda Benda

my screenshot comes from this:

Redmine version 3.3.0.stable
Ruby version 2.1.10-p492
Rails version 4.2.6

#6 - 2017-05-31 06:05 - Toshi MARUYAMA
Jenda Benda wrote:
Could you please explain me, why (started/changed in some previous versions of redmine) “issue” column has been changed and consists of

joint information of "tracker”, "task ID", and "task subject"?

What version do you mean as some previous versions?
There is no change from Redmine 1.4.

#7 - 2017-06-01 14:33 - Jenda Benda

Hi,

thanks again!

We used redmine 1.2 before 3.3.x version. The spent time details view was as explained above there, the same was CSV export...
thx

jb

#8 - 2017-06-01 16:06 - Toshi MARUYAMA
- File 1.2-stable.png added
| cannot see any difference in Redmine 1.2.

All Projects »
Spent time
v Date range
* | all time ¥
From |2017-06-01 SE to|2017-06-01 |
& Apply r* ] Clear

Details Report

Total: 1.00 hour

o Date Member Activity Project Issue Comment Hours
06/01/2017 Redmine Admin Design test00 Bug #1: test 1.00 F |
{1-1/1) | Per page: 25, 50, 100

Also available in: Y Atom | CSV

#9 - 2017-06-01 16:20 - Jenda Benda

could you please try to export CSV and check the result? Are the tracker, ID and Issue subject separated "columns"?
thanks a lot
JB

#10 - 2017-06-01 17:31 - Toshi MARUYAMA

- Subject changed from Spent time - Issue Column badly joins more information to Spent time csv: tracker column joins to issue column
- Category set to Time tracking

- Status changed from Needs feedback to Confirmed

- Affected version set to 2.3.0

It seems caused by around r11448.

Redmine 2.2:

Date,User,Activity,Project, Issue, Tracker, Subject, Hours, Comment
06/01/2017,Redmine Admin,Design,test00,1,Bug,test,1.0,""

Redmine 3.3:

Project,Date,User,Activity, Issue, Comment, Hours
test_00,06/02/2017,Redmine Admin,Design,Bug #53: test,"",1.00

#11 - 2017-06-01 17:53 - Mischa The Evil

I've been reading along and started digging the code of the 'spent time details view' when the TS explicitly expressed that this is scoped to the CSV
export of that view only. | was able to trace this change in the CSV export to r11442, which was introduced first in Redmine 2.3.0.

Before r11442, the CSV export contained three individual columns (id, tracker and subject), whereas post r11442, the query columns are being used
instead, which results in the fact that only one column is presented which includes a concatenation of the id, tracker and subject.

#12 - 2017-06-01 17:58 - Mischa The Evil

- Subject changed from Spent time csv: tracker column joins to issue column to Spent time details CSV export: issues' id, tracker & subject columns
merged into one issue column

#13 - 2017-06-01 18:32 - Jenda Benda

OK, thanks a lot...I probably wrongly expected that export was the same as the view in web Ul, please let me aplogozie myself.
The fact is we were used to sort/filter/list by these three different values. We used CSV export and Excel for doing that in the past.

When we upgraded redmine the filter function in spent time details view was included(for web Ul). So we've started using this great feature.

We still need to sort and filter(two different things) as well. Because it wasn't possible nor in the Ul and nor in the CSV export we had to add custom
fileds for trackers and others and duplicate this information there each time spent time entry was/is created, to be able to filter and sort by these
values.
https://www.redmine.org/projects/redmine/repository/svn/revisions/11448
https://www.redmine.org/projects/redmine/repository/svn/revisions/11442
https://www.redmine.org/versions/60
https://www.redmine.org/projects/redmine/repository/svn/revisions/11442
https://www.redmine.org/projects/redmine/repository/svn/revisions/11442

| believe there are two different issues then:
1. CSV export concatenates of the id, tracker and subject

2. web Ul spent time details filter doesn't allows to filter/sort by the id, tracker and subject(as the attributes are concentated together in one field)

ad1) We know now there was change in the code for CSV export, but not sure if this was done on purpose...?

ad?2) Is there any practical reason for not showing the ID, tracker and subjecct in spent time separatedly? If not | believe it would make sense and

many users could benefit from separation of these attributes/values in web Ul spent time details view.

Thanks a lot again for all the effort.
Kind regards
JB

#14 - 2018-02-04 22:14 - Jenda Benda
Dears,
| hope you are all doing great!

Is there any update on this please?

| also believe this is related to the most recent version of redmine... not just to 2.3.0 as statet in issue atributes. This may lead to ignoring this issue.

Thanks lot
Kind regards
J.

#15 - 2019-05-14 22:03 - Jenda Benda

I have to confirm this is not an issue in the latest stable version 4.0.3 anymore.

Thanks a lot!
j-

#16 - 2020-03-03 00:05 - Marius BALTEANU

- Status changed from Confirmed to Closed

Jenda Benda wrote:

| have to confirm this is not an issue in the latest stable version 4.0.3 anymore.

Thanks a lot!
j-

It's not an issue because of defect #33052 which most probably will be fixed in 4.1.1 because the expected behaviour is to have the issue displayed
as "Tracker #id: #subject" (Bug #1: Cannot print recipes), please see #18269.

| think we should close this ticket with "Won't fix".

#17 - 2020-03-03 00:05 - Marius BALTEANU

- Status changed from Closed to Confirmed
